Type.registerNamespace("Telerik.Web");
Telerik.Web.BehaviorBase=function(_1){
Telerik.Web.BehaviorBase.initializeBase(this,[_1]);
this._clientStateFieldID=null;
this._pageRequestManager=null;
this._partialUpdateBeginRequestHandler=null;
this._partialUpdateEndRequestHandler=null;
};
Telerik.Web.BehaviorBase.prototype={initialize:function(){
Telerik.Web.BehaviorBase.callBaseMethod(this,"initialize");
},dispose:function(){
Telerik.Web.BehaviorBase.callBaseMethod(this,"dispose");
if(this._pageRequestManager){
if(this._partialUpdateBeginRequestHandler){
this._pageRequestManager.remove_beginRequest(this._partialUpdateBeginRequestHandler);
this._partialUpdateBeginRequestHandler=null;
}
if(this._partialUpdateEndRequestHandler){
this._pageRequestManager.remove_endRequest(this._partialUpdateEndRequestHandler);
this._partialUpdateEndRequestHandler=null;
}
this._pageRequestManager=null;
}
},get_ClientStateFieldID:function(){
return this._clientStateFieldID;
},set_ClientStateFieldID:function(_2){
if(this._clientStateFieldID!=_2){
this._clientStateFieldID=_2;
this.raisePropertyChanged("ClientStateFieldID");
}
},get_ClientState:function(){
if(this._clientStateFieldID){
var _3=document.getElementById(this._clientStateFieldID);
if(_3){
return _3.value;
}
}
return null;
},set_ClientState:function(_4){
if(this._clientStateFieldID){
var _5=document.getElementById(this._clientStateFieldID);
if(_5){
_5.value=_4;
}
}
},registerPartialUpdateEvents:function(){
if(Sys&&Sys.WebForms&&Sys.WebForms.PageRequestManager){
this._pageRequestManager=Sys.WebForms.PageRequestManager.getInstance();
if(this._pageRequestManager){
this._partialUpdateBeginRequestHandler=Function.createDelegate(this,this._partialUpdateBeginRequest);
this._pageRequestManager.add_beginRequest(this._partialUpdateBeginRequestHandler);
this._partialUpdateEndRequestHandler=Function.createDelegate(this,this._partialUpdateEndRequest);
this._pageRequestManager.add_endRequest(this._partialUpdateEndRequestHandler);
}
}
},_partialUpdateBeginRequest:function(_6,_7){
},_partialUpdateEndRequest:function(_8,_9){
}};
Telerik.Web.BehaviorBase.registerClass("Telerik.Web.BehaviorBase",Sys.UI.Behavior);
Type.registerNamespace("Telerik.Web");
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.ModalExtender=function(_a){
this._windowResizeDelegate=null;
this._windowScrollDelegate=null;
this._xCoordinate=-1;
this._yCoordinate=-1;
this._backgroundElement=null;
this._foregroundElement=_a;
this._saveTabIndexes=new Array();
this._saveDesableSelect=new Array();
this._tagWithTabIndex=new Array("A","AREA","BUTTON","INPUT","OBJECT","SELECT","TEXTAREA","IFRAME");
};
Telerik.Web.UI.ModalExtender.prototype={dispose:function(){
this.hide();
this._backgroundElement=null;
this._foregroundElement=null;
},show:function(){
this._attachWindowHandlers(true);
var _b=this._getModalOverlay();
this._foregroundElement.parentNode.appendChild(_b);
_b.style.zIndex=$telerik.getCurrentStyle(this._foregroundElement,"zIndex",this._foregroundElement.style.zIndex)-1;
_b.style.display="";
this._disableTab();
this._updatePageLayout();
this._updatePageLayout();
},_storeBrowserPosition:function(){
var _c=document.body;
var _d=document.documentElement;
this._browserTop=_c.scrollTop>_d.scrollTop?_c.scrollTop:_d.scrollTop;
this._browserLeft=_c.scrollLeft>_d.scrollLeft?_c.scrollTop:_d.scrollLeft;
},_restoreBrowserPosition:function(_e,_f){
try{
if(null==_e){
_e=this._browserLeft;
}
if(null==_f){
_f=this._browserTop;
}
var _10=document.body;
var _11=document.documentElement;
_10.scrollTop=_f;
_10.scrollLeft=_e;
_11.scrollTop=_f;
_11.scrollLeft=_e;
}
catch(ex){
}
},hide:function(){
this._backgroundElement.style.display="none";
this._restoreTab();
this._attachWindowHandlers(false);
},_enableScroll:function(_12){
if(_12){
document.body.style.overflow=null!=this._overflow?this._overflow:"";
document.documentElement.style.overflow=null!=this._documentOverflow?this._documentOverflow:"";
document.body.style.marginRight="";
}else{
this._overflow=document.body.style.overflow;
document.body.style.overflow="hidden";
this._documentOverflow=document.documentElement.style.overflow;
document.documentElement.style.overflow="hidden";
document.body.style.marginRight="18px";
}
},_getModalOverlay:function(){
if(!this._backgroundElement){
var div=document.createElement("div");
div.style.display="none";
div.style.position="absolute";
div.style.left="0px";
div.style.top="0px";
div.style.zIndex=10000;
div.style.backgroundColor="#aaaaaa";
div.style.filter="progid:DXImageTransform.Microsoft.Alpha(style=0,opacity=50)";
div.style.opacity=".5";
div.style.mozOpacity=".5";
div.className="TelerikModalOverlay";
this._backgroundElement=div;
}
return this._backgroundElement;
},_attachWindowHandlers:function(_14){
var _15=window;
if(true==_14){
this._windowResizeDelegate=Function.createDelegate(this,this._updatePageLayout);
$addHandler(_15,"resize",this._windowResizeDelegate);
this._windowScrollDelegate=Function.createDelegate(this,this._updatePageLayout);
$addHandler(_15,"scroll",this._windowScrollDelegate);
}else{
if(this._windowResizeDelegate){
$removeHandler(_15,"resize",this._windowResizeDelegate);
}
this._windowResizeDelegate=null;
if(this._windowScrollDelegate){
$removeHandler(_15,"scroll",this._windowScrollDelegate);
}
this._windowScrollDelegate=null;
}
},_updatePageLayout:function(){
var _16=(document.documentElement.scrollLeft?document.documentElement.scrollLeft:document.body.scrollLeft);
var _17=(document.documentElement.scrollTop?document.documentElement.scrollTop:document.body.scrollTop);
var _18=$telerik.getClientBounds();
var _19=_18.width;
var _1a=_18.height;
var _1b=this._getModalOverlay();
_1b.style.width=Math.max(Math.max(document.documentElement.scrollWidth,document.body.scrollWidth),_19)+"px";
_1b.style.height=Math.max(Math.max(document.documentElement.scrollHeight,document.body.scrollHeight),_1a)+"px";
},_disableTab:function(){
var i=0;
var _1d;
var _1e=new Array();
Array.clear(this._saveTabIndexes);
for(var j=0;j<this._tagWithTabIndex.length;j++){
_1d=this._foregroundElement.getElementsByTagName(this._tagWithTabIndex[j]);
for(var k=0;k<_1d.length;k++){
_1e[i]=_1d[k];
i++;
}
}
i=0;
for(var j=0;j<this._tagWithTabIndex.length;j++){
_1d=document.getElementsByTagName(this._tagWithTabIndex[j]);
for(var k=0;k<_1d.length;k++){
if(Array.indexOf(_1e,_1d[k])==-1){
this._saveTabIndexes[i]={tag:_1d[k],index:_1d[k].tabIndex};
_1d[k].tabIndex="-1";
i++;
}
}
}
i=0;
if((Sys.Browser.agent===Sys.Browser.InternetExplorer)&&(Sys.Browser.version<7)){
var _21=new Array();
for(var j=0;j<this._tagWithTabIndex.length;j++){
_1d=this._foregroundElement.getElementsByTagName("SELECT");
for(var k=0;k<_1d.length;k++){
_21[i]=_1d[k];
i++;
}
}
i=0;
Array.clear(this._saveDesableSelect);
_1d=document.getElementsByTagName("SELECT");
for(var k=0;k<_1d.length;k++){
if(Array.indexOf(_21,_1d[k])==-1){
this._saveDesableSelect[i]={tag:_1d[k],visib:$telerik.getCurrentStyle(_1d[k],"visibility")};
_1d[k].style.visibility="hidden";
i++;
}
}
}
},_restoreTab:function(){
for(var i=0;i<this._saveTabIndexes.length;i++){
this._saveTabIndexes[i].tag.tabIndex=this._saveTabIndexes[i].index;
}
if((Sys.Browser.agent===Sys.Browser.InternetExplorer)&&(Sys.Browser.version<7)){
for(var k=0;k<this._saveDesableSelect.length;k++){
this._saveDesableSelect[k].tag.style.visibility=this._saveDesableSelect[k].visib;
}
}
}};
Telerik.Web.UI.ModalExtender.registerClass("Telerik.Web.UI.ModalExtender",null);
Type.registerNamespace("Telerik.Web");
Telerik.Web.PositioningMode=function(){
throw Error.invalidOperation();
};
Telerik.Web.PositioningMode.prototype={Absolute:0,Center:1,BottomLeft:2,BottomRight:3,TopLeft:4,TopRight:5};
Telerik.Web.PositioningMode.registerEnum("Telerik.Web.PositioningMode");
Telerik.Web.PopupBehavior=function(_24){
Telerik.Web.PopupBehavior.initializeBase(this,[_24]);
this._x=0;
this._y=0;
this._positioningMode=Telerik.Web.PositioningMode.Absolute;
this._parentElement=null;
this._parentElementID=null;
this._moveHandler=null;
this._firstPopup=true;
this._originalParent=null;
this._overlay=false;
this._keepInScreenBounds=true;
this._manageVisibility=true;
};
Telerik.Web.PopupBehavior._ie6pinnedList={};
Telerik.Web.PopupBehavior.prototype={getPageOffset:function(){
var _25={x:(document.documentElement.scrollLeft||document.body.scrollLeft),y:(document.documentElement.scrollTop||document.body.scrollTop)};
return _25;
},pin:function(_26){
var _27=this.get_element();
var _28=this.getPageOffset();
if($telerik.isIE6){
var id=this.get_id();
if(_26){
if(Telerik.Web.PopupBehavior._ie6pinnedList[id]){
return;
}
var _2a=$telerik.getBounds(_27);
Telerik.Web.PopupBehavior._ie6pinnedList[id]=window.setInterval(Function.createDelegate(this,function(){
var _2b=this.getPageOffset();
var x=_2a.x-_28.x+_2b.x;
var y=_2a.y-_28.y+_2b.y;
var _2e=this.get_parentElement();
this.set_parentElement(document.documentElement);
this.set_x(x);
this.set_y(y);
this.show();
this.set_parentElement(_2e);
}),130);
}else{
var _2f=Telerik.Web.PopupBehavior._ie6pinnedList[id];
if(_2f){
window.clearInterval(_2f);
}
delete Telerik.Web.PopupBehavior._ie6pinnedList[id];
}
}else{
var _30=_26?"fixed":"absolute";
if(_27.style.position==_30){
return;
}
var _2a=$telerik.getBounds(_27);
if(_26&&(_28.x||_28.y)){
this._x=_2a.x-_28.x;
this._y=_2a.y-_28.y;
$telerik.setLocation(_27,{x:this._x,y:this._y});
}
_27.style.position=_30;
}
},center:function(){
var _31=this.get_element();
if(this._manageVisibility){
$telerik.setVisible(_31,true);
}
var _32=$telerik.getClientBounds();
var _33=$telerik.getBounds(_31);
var x=parseInt((_32.width-_33.width)/2);
var y=parseInt((_32.height-_33.height)/2);
var _36=this.get_parentElement();
this.set_parentElement(document.documentElement);
this.set_x(x);
this.set_y(y);
this.show();
this.set_parentElement(_36);
},get_parentElement:function(){
if(!this._parentElement&&this._parentElementID){
this.set_parentElement($get(this._parentElementID));
Sys.Debug.assert(this._parentElement!=null,String.format("Couldn't find parent element \"{0}\"",this._parentElementID));
}
return this._parentElement;
},set_parentElement:function(_37){
this._parentElement=_37;
},get_parentElementID:function(){
if(this._parentElement){
return this._parentElement.id;
}
return this._parentElementID;
},set_parentElementID:function(_38){
this._parentElementID=_38;
if(this.get_isInitialized()){
this.set_parentElement($get(_38));
}
},get_positioningMode:function(){
return this._positioningMode;
},set_positioningMode:function(_39){
this._positioningMode=_39;
},get_x:function(){
return this._x;
},set_x:function(_3a){
if(_3a!=this._x){
this._x=_3a;
if($telerik.getVisible(this.get_element())&&this._manageVisibility){
this.show();
}
}
},get_y:function(){
return this._y;
},set_y:function(_3b){
if(_3b!=this._y){
this._y=_3b;
if($telerik.getVisible(this.get_element())&&this._manageVisibility){
this.show();
}
}
},get_overlay:function(){
return this._overlay;
},set_overlay:function(_3c){
this._overlay=_3c;
this._attachWindowHandlers(false);
if(this._overlay){
this._attachWindowHandlers(true);
}else{
if(!((Sys.Browser.agent===Sys.Browser.InternetExplorer)&&(Sys.Browser.version<7))){
var elt=this.get_element();
var _3e=elt._hideWindowedElementsIFrame;
if(_3e){
_3e.style.display="none";
}
}
}
},get_manageVisibility:function(){
return this._manageVisibility;
},set_manageVisibility:function(_3f){
this._manageVisibility=_3f;
},get_keepInScreenBounds:function(){
return this._keepInScreenBounds;
},set_keepInScreenBounds:function(_40){
this._keepInScreenBounds=_40;
},hide:function(){
var elt=this.get_element();
if(this._manageVisibility){
$telerik.setVisible(elt,false);
}
if(elt.originalWidth){
elt.style.width=elt.originalWidth+"px";
elt.originalWidth=null;
}
if(Sys.Browser.agent===Sys.Browser.InternetExplorer||this._overlay){
var _42=elt._hideWindowedElementsIFrame;
if(_42){
_42.style.display="none";
}
}
},show:function(){
var elt=this.get_element();
if($telerik.isFirefox){
var doc=document.documentElement;
var _45=$telerik.getCurrentStyle(doc,"overflow");
if("hidden"==_45){
elt.style.left=doc.scrollLeft+"px";
elt.style.top=doc.scrollLeft+"px";
}
}
if(this._manageVisibility){
$telerik.setVisible(elt,true);
}
var _46=elt.offsetParent||document.documentElement;
var _47;
var _48;
if(this._parentElement){
_48=$telerik.getBounds(this._parentElement);
if(_46.tagName.toUpperCase()!="BODY"&&_46.tagName.toUpperCase()!="HTML"){
var _49=$telerik.getLocation(_46);
_47={x:_48.x-_49.x+_46.scrollLeft,y:_48.y-_49.y+_46.scrollTop};
}else{
_47={x:_48.x,y:_48.y};
}
}else{
_48=$telerik.getBounds(_46);
_47={x:0,y:0};
}
var _4a=elt.offsetWidth-(elt.clientLeft?elt.clientLeft*2:0);
var _4b=elt.offsetHeight-(elt.clientTop?elt.clientTop*2:0);
var _4c;
switch(this._positioningMode){
case Telerik.Web.PositioningMode.Center:
_4c={x:Math.round(_48.width/2-_4a/2),y:Math.round(_48.height/2-_4b/2)};
break;
case Telerik.Web.PositioningMode.BottomLeft:
_4c={x:0,y:_48.height};
break;
case Telerik.Web.PositioningMode.BottomRight:
_4c={x:_48.width-_4a,y:_48.height};
break;
case Telerik.Web.PositioningMode.TopLeft:
_4c={x:0,y:-elt.offsetHeight};
break;
case Telerik.Web.PositioningMode.TopRight:
_4c={x:_48.width-_4a,y:-elt.offsetHeight};
break;
default:
_4c={x:0,y:0};
}
_4c.x+=this._x+_47.x;
_4c.y+=this._y+_47.y;
$telerik.setLocation(elt,_4c);
if(this._firstPopup){
elt.style.width=_4a+"px";
}
this._firstPopup=false;
var _4d=$telerik.getBounds(elt);
var _4e=this._getViewportBounds();
if(this._keepInScreenBounds){
var _4f=false;
var _50=self.innerWidth?self.innerWidth:document.documentElement.clientWidth;
if(!_50){
_50=document.body.clientWidth;
}
if(_4d.x+_4d.width-_4e.scrollLeft>_50){
_4c.x-=_4d.x+_4d.width-_50+_4e.scrollLeft;
_4f=true;
}
if(_4d.x<0){
_4c.x-=_4d.x;
_4f=true;
}
if(_4d.y<0){
_4c.y-=_4d.y;
_4f=true;
}
if(_4e.height<_4d.y+_4d.height-_4e.scrollTop){
if(_4e.height-_4d.height>0){
_4c.y=_4e.height-_4d.height+_4e.scrollTop;
_4f=true;
}
}
if(_4f){
$telerik.setLocation(elt,_4c);
_4d=$telerik.getBounds(elt);
}
}
elt.zIndex=1000;
if(((Sys.Browser.agent===Sys.Browser.InternetExplorer)&&(Sys.Browser.version<7))||this._overlay){
var _51=elt._hideWindowedElementsIFrame;
if(!_51){
_51=document.createElement("iframe");
_51.src="javascript:'<html></html>';";
_51.style.position="absolute";
_51.style.display="none";
_51.scrolling="no";
_51.frameBorder="0";
_51.tabIndex="-1";
_51.style.filter="progid:DXImageTransform.Microsoft.Alpha(style=0,opacity=0)";
elt.parentNode.insertBefore(_51,elt);
elt._hideWindowedElementsIFrame=_51;
this._moveHandler=Function.createDelegate(this,this._onMove);
Sys.UI.DomEvent.addHandler(elt,"move",this._moveHandler);
}
$telerik.setBounds(_51,_4d);
if(Sys.Browser.agent===Sys.Browser.Firefox){
_51.style.top=parseInt(_4d.y)-_4e.scrollTop+"px";
_51.style.left=parseInt(_4d.x)-_4e.scrollLeft+"px";
_51.style.position="fixed";
}
if($telerik.quirksMode){
return;
}
_51.style.display=elt.style.display;
if(elt.currentStyle&&elt.currentStyle.zIndex){
_51.style.zIndex=elt.currentStyle.zIndex;
}else{
if(elt.style.zIndex){
_51.style.zIndex=elt.style.zIndex;
}
}
}
},_getViewportBounds:function(){
var _52=$telerik.getClientBounds();
var _53=document.documentElement.scrollLeft||document.body.scrollLeft;
var _54=document.documentElement.scrollTop||document.body.scrollTop;
_52.scrollLeft=_53;
_52.scrollTop=_54;
return _52;
},_setCoordinates:function(x,y){
var _57=false;
if(x!=this._x){
this._x=x;
_57=true;
}
if(y!=this._y){
this._y=y;
_57=true;
}
if($telerik.getVisible(this.get_element())&&_57&&this._manageVisibility){
this.show();
}
},initialize:function(){
Telerik.Web.PopupBehavior.callBaseMethod(this,"initialize");
this.hide();
this.get_element().style.position="absolute";
},dispose:function(){
var elt=this.get_element();
if(elt){
if(this._moveHandler){
Sys.UI.DomEvent.removeHandler(elt,"move",this._moveHandler);
this._moveHandler=null;
}
this._attachWindowHandlers(false);
if($telerik.getVisible(elt)&&this._manageVisibility){
this.hide();
}
if(this._originalParent){
elt.parentNode.removeChild(elt);
this._originalParent.appendChild(elt);
this._originalParent=null;
}
}
this._parentElement=null;
Telerik.Web.PopupBehavior.callBaseMethod(this,"dispose");
},_onMove:function(){
var elt=this.get_element();
var _5a=elt._hideWindowedElementsIFrame;
if(_5a){
if(Sys.Browser.agent===Sys.Browser.Firefox){
var _5b=this._getViewportBounds();
_5a.style.top=parseInt(elt.style.top)-_5b.scrollTop+"px";
_5a.style.left=parseInt(elt.style.left)-_5b.scrollLeft+"px";
_5a.style.position="fixed";
}else{
_5a.style.top=elt.style.top;
_5a.style.left=elt.style.left;
}
}
},_handleElementResize:function(){
var elt=this.get_element();
var _5d=elt._hideWindowedElementsIFrame;
if(_5d){
var _5e=$telerik.getBounds(elt);
$telerik.setBounds(_5d,_5e);
}
},_attachWindowHandlers:function(_5f){
if(!Sys.Browser.agent===Sys.Browser.Firefox){
return;
}
var _60=window;
if(true==_5f){
this._windowResizeDelegate=Function.createDelegate(this,this._onMove);
$addHandler(_60,"resize",this._windowResizeDelegate);
this._windowScrollDelegate=Function.createDelegate(this,this._onMove);
$addHandler(_60,"scroll",this._windowScrollDelegate);
}else{
if(this._windowResizeDelegate){
$removeHandler(_60,"resize",this._windowResizeDelegate);
}
this._windowResizeDelegate=null;
if(this._windowScrollDelegate){
$removeHandler(_60,"scroll",this._windowScrollDelegate);
}
this._windowScrollDelegate=null;
}
}};
Telerik.Web.PopupBehavior.registerClass("Telerik.Web.PopupBehavior",Telerik.Web.BehaviorBase);
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.ResizeExtender=function(_61,_62,_63,_64,doc,_66){
this._document=doc?doc:document;
this._documentMouseMoveDelegate=null;
this._documentMouseUpDelegate=null;
this._element=null;
this._tableElement=null;
this._moveCursorType="move";
this._enabled=true;
this._jsOwner=null;
this._saveDelegates={};
this.makeResizable(_61,_62,_63,_64,_66);
};
Telerik.Web.UI.ResizeExtender.containsBounds=function(_67,_68){
if(!_67||!_68){
return false;
}
var _69=$telerik.containsPoint(_67,_68.x,_68.y);
if(_69){
var x=_68.x+_68.width;
var y=_68.y+_68.height;
_69=$telerik.containsPoint(_67,x,y);
}
return _69;
};
Telerik.Web.UI.ResizeExtender.prototype={dispose:function(){
this._attachDocumentHandlers(false);
this._configureHandleElements(false);
this._jsOwner=null;
},enable:function(_6c){
this._enabled=_6c;
},makeResizable:function(_6d,_6e,_6f,_70,_71){
if(!_6e){
return;
}
if(this._element){
alert("Element "+_6e.getAttribute("id")+" cannot be made resizable, as the resizeExtender already has the element "+this._element.getAttribute("id")+" associated with it. You must create a new extender resizer object");
return;
}
this._jsOwner=_6d;
this._element=_6e;
this._tableElement=_70;
this._resizeHandles=_6f;
if(_71){
this._moveCursorType=_71;
}
this._startX=0;
this._startY=0;
this._cancelResize=true;
this._configureHandleElements(true);
},_raiseDragEvent:function(_72,ev,_74){
if(this._jsOwner&&this._jsOwner["on"+_72]){
var _75=ev;
if(!_75){
_75={};
}
_75.element=this._element;
_75.ownerEvent=_74;
return this._jsOwner["on"+_72](_75);
}
return true;
},_raiseEvent:function(_76,ev){
if(this._jsOwner&&this._jsOwner["on"+_76]){
if(!ev){
ev=new Sys.EventArgs();
}else{
if(_76=="Resize"){
ev=this._resizeDir;
}else{
if(_76=="Resizing"){
ev=this._getProposedBounds(ev);
}
}
}
return this._jsOwner["on"+_76](ev);
}
return true;
},_getProposedBounds:function(b1){
var b2=$telerik.getBounds(this._element);
return {x:b1.x||b2.x,y:b1.y||b2.y,width:b1.width||b2.width,height:b1.height||b2.height};
},_resize:function(e){
if(!this._enabled||this._cancelResize){
return false;
}
var _7b=0;
var _7c=0;
var _7d=0;
var _7e=0;
var _7f=this._originalBounds;
var _80=this._resizeDir.move;
if(_80){
_7d=_7f.x+(e.clientX-this._startX);
_7e=_7f.y+(e.clientY-this._startY);
}else{
if(this._resizeDir.east){
_7b=_7f.width+(e.clientX-this._startX);
}else{
if(this._resizeDir.west){
_7d=e.clientX-this._leftHandleMouseDelta;
_7b=_7f.width-(e.clientX-this._startX);
}
}
if(this._resizeDir.south){
_7c=_7f.height+(e.clientY-this._startY);
}else{
if(this._resizeDir.north){
_7e=e.clientY;
_7c=_7f.height-(e.clientY-this._startY);
}
}
}
if(this._offsetLocation){
_7d-=this._offsetLocation.x;
_7e-=this._offsetLocation.y;
}
var _81=new Sys.UI.Bounds(_7d,_7e,_7b,_7c);
var _82=_80?this._raiseDragEvent("Drag",_81,e):this._raiseEvent("Resizing",_81);
if(false==_82){
return true;
}
if(_80||_81.x>0){
this._element.style.left=_81.x+"px";
}
if(_80||_81.y>0){
this._element.style.top=_81.y+"px";
}
if(_81.width>0){
this._element.style.width=_81.width+"px";
}
if(_81.height>0){
this._element.style.height=_81.height+"px";
}
if(!_80){
this._updateInnerTableSize();
}
return true;
},_storeStartCoords:function(e){
if(!this._enabled){
return;
}
this._cancelResize=false;
this._startX=e.clientX;
this._startY=e.clientY;
var _84=$telerik.getBounds(this._element);
this._originalBounds=_84;
var _85=e.target?e.target:e.srcElement;
if(_85&&_85.type==3){
_85=_85.parentNode;
}
this._resizeType=$telerik.getCurrentStyle(_85,"cursor");
this._resizeDir={north:this._resizeType.match(/n.?-/)?1:0,east:this._resizeType.match(/e-/)?1:0,south:this._resizeType.match(/s.?-/)?1:0,west:this._resizeType.match(/w-/)?1:0,move:new RegExp(this._moveCursorType).test(this._resizeType)?1:0};
this._leftHandleMouseDelta=0;
if(this._resizeDir.west){
this._leftHandleMouseDelta=Math.abs($telerik.getBounds(_85).x-this._startX);
}
if(this._resizeDir.move){
var _86=this._raiseDragEvent("DragStart",null,e);
this._cancelResize=(_86==false);
}else{
this._raiseEvent("ResizeStart");
}
var _87=$telerik.getCurrentStyle(this._element.parentNode,"position");
var _88=("relative"==_87)||("absolute"==_87);
this._offsetLocation=_88?$telerik.getLocation(this._element.parentNode):null;
if(!this._cancelResize){
this._clearSelection();
this._setIframesVisible(false);
this._attachDocumentHandlers(false);
this._attachDocumentHandlers(true);
}
},_updateInnerTableSize:function(){
var dir=this._resizeDir;
if(dir.south||dir.north){
var _8a=this._element.style.height;
var _8b=this._tableElement;
if(_8b){
_8b.style.height=_8a;
this._fixIeHeight(_8b,_8a);
}
}
},_setIframesVisible:function(_8c){
var _8d=this._document.getElementsByTagName("IFRAME");
for(var i=0;i<_8d.length;i++){
var _8f=_8d[i];
_8f.style.visibility=_8c?"":"hidden";
if($telerik.isIE){
try{
_8f.contentWindow.document.body.style.visibility=_8c?"":"hidden";
}
catch(ex){
}
}
}
},_configureHandleElements:function(_90){
var _91=["nw","n","ne","w","e","sw","s","se",this._moveCursorType];
for(var i=0;i<_91.length;i++){
var _93=_91[i];
var _94=this._resizeHandles[_93];
if(_94){
if(_94 instanceof Array){
for(var j=0;j<_94.length;j++){
this._configureHandle("id"+i+"_"+j,_90,_94[j],_93);
}
}else{
this._configureHandle("id"+i,_90,_94,_93);
}
}
}
if(!_90){
this._saveDelegates={};
}
},_configureHandle:function(_96,_97,_98,_99){
if(_97){
var _9a=Function.createDelegate(this,this._onHandleMouseDown);
$telerik.addExternalHandler(_98,"mousedown",_9a);
this._saveDelegates[_96]={delegate:_9a,element:_98};
var _9b=(_99==this._moveCursorType?this._moveCursorType:_99+"-resize");
_98.style.cursor=_9b;
}else{
$telerik.removeExternalHandler(_98,"mousedown",this._saveDelegates[_96].delegate);
_98.style.cursor="";
}
},_attachDocumentHandlers:function(_9c){
var _9d=this._document;
if(true==_9c){
this._documentMouseMoveDelegate=Function.createDelegate(this,this._onDocumentMouseMove);
$telerik.addExternalHandler(_9d,"mousemove",this._documentMouseMoveDelegate);
this._documentMouseUpDelegate=Function.createDelegate(this,this._onDocumentMouseUp);
$telerik.addExternalHandler(_9d,"mouseup",this._documentMouseUpDelegate);
}else{
if(this._documentMouseMoveDelegate){
$telerik.removeExternalHandler(_9d,"mousemove",this._documentMouseMoveDelegate);
}
this._documentMouseMoveDelegate=null;
if(this._documentMouseUpDelegate){
$telerik.removeExternalHandler(_9d,"mouseup",this._documentMouseUpDelegate);
}
this._documentMouseUpDelegate=null;
}
},_onDocumentMouseMove:function(e){
var _9f=this._resize(e);
if(_9f){
return $telerik.cancelRawEvent(e);
}
},_onDocumentMouseUp:function(e){
var _a1=!this._cancelResize;
this._cancelResize=true;
if(_a1){
this._clearSelection();
this._setIframesVisible(true);
if(this._resizeDir&&this._resizeDir.move){
this._raiseDragEvent("DragEnd",null,e);
}else{
this._raiseEvent("ResizeEnd");
}
this._attachDocumentHandlers(false);
}
},_onHandleMouseDown:function(e){
this._storeStartCoords(e);
return $telerik.cancelRawEvent(e);
},_clearSelection:function(){
if(this._document.selection&&this._document.selection.empty){
this._document.selection.empty();
}
},_fixIeHeight:function(_a3,_a4){
if("CSS1Compat"==document.compatMode){
var _a5=(_a3.offsetHeight-parseInt(_a4));
if(_a5>0){
var _a6=(parseInt(_a3.style.height)-_a5);
if(_a6>0){
_a3.style.height=_a6+"px";
}
}
}
}};
Telerik.Web.UI.ResizeExtender.registerClass("Telerik.Web.UI.ResizeExtender",null);

